Get a list of accounts
GET /api
Also reachable at /api, /api.
Lists accounts in the supplied Octopus Deploy Space in pages. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
Query Parameters
accountTypearray of string
The type of accounts to return.namestring
The exact name of an Account to be matched.partialNamestring
A partial account name used for a sub-string search.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The list of Accounts
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectAccountTypeenum
Allowed values:AmazonWebServicesAccount,AmazonWebServicesOidcAccount,AzureOidc,AzureServicePrincipal,AzureSubscription,GenericOidcAccount,GoogleCloudAccount,GoogleCloudOidcAccount,None,SshKeyPair,Token,UsernamePassword.DescriptionstringEnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceIdstringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"AccountType": "AmazonWebServicesAccount",
"Description": "string",
"EnvironmentIds": [
"Environments-1",
"..."
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new account - of the type defined by body content
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
DescriptionstringDetailsobject (required)AccountTypestring
EnvironmentIdsarray of stringNamestring (required)
Minimum length 1.SlugstringSpaceIdstring (required)TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationstring
Response
201 — Created
AccountTypeenum
Allowed values:AmazonWebServicesAccount,AmazonWebServicesOidcAccount,AzureOidc,AzureServicePrincipal,AzureSubscription,GenericOidcAccount,GoogleCloudAccount,GoogleCloudOidcAccount,None,SshKeyPair,Token,UsernamePassword.DescriptionstringEnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceIdstringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.
Example Request
{
"Description": "string",
"Details": {
"AccountType": "string"
},
"EnvironmentIds": [
"Environments-1",
"..."
],
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "string"
}Example Response
{
"AccountType": "AmazonWebServicesAccount",
"Description": "string",
"EnvironmentIds": [
"Environments-1",
"..."
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted"
}Get a list of Accounts
GET /api
Also reachable at /api, /api.
Lists all of the accounts in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested list of Accounts
AccountTypeenum
Allowed values:AmazonWebServicesAccount,AmazonWebServicesOidcAccount,AzureOidc,AzureServicePrincipal,AzureSubscription,GenericOidcAccount,GoogleCloudAccount,GoogleCloudOidcAccount,None,SshKeyPair,Token,UsernamePassword.DescriptionstringEnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceIdstringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.
Example Response
[
{
"AccountType": "AmazonWebServicesAccount",
"Description": "string",
"EnvironmentIds": [
"Environments-1",
"..."
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted"
}
]List the Azure Environments provided by the SDK
GET /api
List the Azure Environments provided by the SDK
Response
200 — OK
Modify the account identified by the accoutId
PUT /api
Also reachable at /api, /api.
Path Parameters
accountIdstring (required)spaceIdstring (required)
Request Body
AccountIdstring (required)DescriptionstringDetailsobject (required)AccountTypestring
EnvironmentIdsarray of stringNamestring (required)
Minimum length 1.SlugstringSpaceIdstring (required)TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationstring
Response
200 — The resource returned from modifying an account
AccountTypeenum
Allowed values:AmazonWebServicesAccount,AmazonWebServicesOidcAccount,AzureOidc,AzureServicePrincipal,AzureSubscription,GenericOidcAccount,GoogleCloudAccount,GoogleCloudOidcAccount,None,SshKeyPair,Token,UsernamePassword.DescriptionstringEnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceIdstringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.
Example Request
{
"AccountId": "Accounts-1",
"Description": "string",
"Details": {
"AccountType": "string"
},
"EnvironmentIds": [
"Environments-1",
"..."
],
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "string"
}Example Response
{
"AccountType": "AmazonWebServicesAccount",
"Description": "string",
"EnvironmentIds": [
"Environments-1",
"..."
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted"
}Get an Account by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the account.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Account
AccountTypeenum
Allowed values:AmazonWebServicesAccount,AmazonWebServicesOidcAccount,AzureOidc,AzureServicePrincipal,AzureSubscription,GenericOidcAccount,GoogleCloudAccount,GoogleCloudOidcAccount,None,SshKeyPair,Token,UsernamePassword.DescriptionstringEnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceIdstringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.
Example Response
{
"AccountType": "AmazonWebServicesAccount",
"Description": "string",
"EnvironmentIds": [
"Environments-1",
"..."
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceId": "Spaces-1",
"TenantIds": [
"Tenants-1",
"..."
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted"
}Delete an existing Account
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Account to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Retrieve the public key portion of the account’s associated certificate, if present
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the account.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Example Response
"string"List the Resource Groups associated with an Azure account
GET /api
Also reachable at /api, /api.
List the Resource Groups associated with an Azure account.
Path Parameters
idstring (required)spaceIdstring (required)
Response
200 — OK
List the storage accounts associated with an Azure account
GET /api
Also reachable at /api, /api.
List the storage accounts associated with an Azure account.
Path Parameters
idstring (required)spaceIdstring (required)
Response
200 — OK
List projects and deployments which are using an account
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the account.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The projects and deployments which are using an account.
CommonTenantVariablesarray of objectLibraryVariableSetsarray of objectTenantIdstring
DeploymentProcessesarray of objectProjectIdstringProjectNamestringProjectSlugstringStepsarray of object
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LibraryVariableSetsarray of objectLibraryVariableSetIdstringLibraryVariableSetNamestring
Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectTenantVariablesarray of objectProjectsarray of objectTenantIdstring
ProjectVariableSetsarray of objectIsCurrentlyBeingUsedInProjectbooleanProjectIdstringProjectNamestringProjectSlugstringReleasesarray of objectRunbookSnapshotsarray of object
Releasesarray of objectProjectIdstringProjectNamestringReleasesarray of object
RunbookProcessesarray of objectProcessIdstringProjectIdstringProjectNamestringProjectSlugstringRunbookIdstringRunbookNamestringStepsarray of object
RunbookSnapshotsarray of objectProjectIdstringProjectNamestringRunbookIdstringRunbookNamestringSnapshotsarray of object
Targetsarray of objectTargetIdstringTargetNamestring
Example Response
{
"CommonTenantVariables": [
{
"LibraryVariableSets": [
{}
],
"TenantId": "Tenants-1"
}
],
"DeploymentProcesses": [
{
"ProjectId": "string",
"ProjectName": "string",
"ProjectSlug": "string",
"Steps": [
{}
]
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariableSets": [
{
"LibraryVariableSetId": "string",
"LibraryVariableSetName": "string"
}
],
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectTenantVariables": [
{
"Projects": [
{}
],
"TenantId": "Tenants-1"
}
],
"ProjectVariableSets": [
{
"IsCurrentlyBeingUsedInProject": true,
"ProjectId": "Projects-1",
"ProjectName": "string",
"ProjectSlug": "string",
"Releases": [
{}
],
"RunbookSnapshots": [
{}
]
}
],
"Releases": [
{
"ProjectId": "string",
"ProjectName": "string",
"Releases": [
{}
]
}
],
"RunbookProcesses": [
{
"ProcessId": "string",
"ProjectId": "string",
"ProjectName": "string",
"ProjectSlug": "string",
"RunbookId": "string",
"RunbookName": "string",
"Steps": [
{}
]
}
],
"RunbookSnapshots": [
{
"ProjectId": "Projects-1",
"ProjectName": "string",
"RunbookId": "string",
"RunbookName": "string",
"Snapshots": [
{}
]
}
],
"Targets": [
{
"TargetId": "string",
"TargetName": "string"
}
]
}Delete an existing Account
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Account to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Account was deleted
Example Response
{}List the websites associated with an Azure account
GET /api
Also reachable at /api, /api.
List the websites associated with an Azure account.
Path Parameters
idstring (required)spaceIdstring (required)
Response
200 — OK
List the slots associated with an Azure Web Site
GET /api
Also reachable at /api, /api.
List the slots associated with an Azure Web Site.
Path Parameters
idstring (required)resourceGroupNamestring (required)spaceIdstring (required)webSiteNamestring (required)
Response
200 — OK
Get the account types this Octopus Server supports
GET /api
Lists the account types contributed by the extensions installed on this Server, sorted by name.
Response
200 — The account types this Octopus Server supports
AccountTypesarray of string
The supported account types, sorted by name. Each value is what an Account’s AccountType is set to, and what the AccountType filter when listing accounts accepts.
Example Response
{
"AccountTypes": [
"string"
]
}